LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
_oslDateTime Struct Reference

`#include <time.h>`

## Public Attributes
sal_uInt32 | NanoSeconds
| contains the nanoseconds
sal_uInt16 | Seconds
| contains the seconds (0-59).
sal_uInt16 | Minutes
| contains the minutes (0-59).
sal_uInt16 | Hours
| contains the hour (0-23).
sal_uInt16 | Day
| is the day of month (1-31).
sal_uInt16 | DayOfWeek
| is the day of week (0-6 , 0 : Sunday).
sal_uInt16 | Month
| is the month of year (1-12).
sal_Int16 | Year
| is the year.

## Member Data Documentation

## ◆ Day

sal_uInt16 _oslDateTime::Day

is the day of month (1-31).

## ◆ DayOfWeek

sal_uInt16 _oslDateTime::DayOfWeek

is the day of week (0-6 , 0 : Sunday).

## ◆ Hours

sal_uInt16 _oslDateTime::Hours

contains the hour (0-23).

## ◆ Minutes

sal_uInt16 _oslDateTime::Minutes

contains the minutes (0-59).

## ◆ Month

sal_uInt16 _oslDateTime::Month

is the month of year (1-12).

## ◆ NanoSeconds

sal_uInt32 _oslDateTime::NanoSeconds

contains the nanoseconds

## ◆ Seconds

sal_uInt16 _oslDateTime::Seconds

contains the seconds (0-59).

## ◆ Year

sal_Int16 _oslDateTime::Year

is the year.

The documentation for this struct was generated from the following file:

- osl/time.h